Class | TkCheckButton
In: | tk/lib/tk/checkbutton.rb
Parent: | TkRadioButton

### Methods

toggle

### Constants

TkCommandNames | = | ['checkbutton'.freeze].freeze
WidgetClassName | = | 'Checkbutton'.freeze

### Public Instance methods

toggle()

def create_self(keys)

      if keys and keys != None
        tk_call_without_enc('checkbutton', @path, *hash_kv(keys, true))
      else
        tk_call_without_enc('checkbutton', @path)
      end

end private :create_self

[Source]

    # File tk/lib/tk/checkbutton.rb, line 20
      def toggle
        tk_send_without_enc('toggle')
        self
      end

[Validate]